GDCM: vtkGDCMThreadedImageReader Class Reference

GDCM 3.2.11

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkGDCMThreadedImageReader Class Reference

`#include <vtkGDCMThreadedImageReader.h>`

Inheritance diagram for vtkGDCMThreadedImageReader:
[legend]
Collaboration diagram for vtkGDCMThreadedImageReader:
[legend]

## Public Member Functions
virtual void | PrintSelf (ostream &os, vtkIndent indent)
| vtkBooleanMacro (UseShiftScale, int)
| vtkGetMacro (UseShiftScale, int)
| vtkSetMacro (Scale, double)
| vtkSetMacro (Shift, double)
| vtkSetMacro (UseShiftScale, int)
| vtkTypeMacro (vtkGDCMThreadedImageReader, vtkGDCMImageReader)
Public Member Functions inherited from vtkGDCMImageReader
virtual int | CanReadFile (const char *fname)
virtual const char * | GetDescriptiveName ()
virtual const char * | GetFileExtensions ()
vtkImageData * | GetIconImage ()
vtkImageData * | GetOverlay (int i)
virtual void | SetCurve (vtkPolyData *pd)
virtual void | SetFileNames (vtkStringArray *)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *pd)
| vtkBooleanMacro (ApplyLookupTable, int)
int | vtkBooleanMacro (ApplyYBRToRGB, int)
| vtkBooleanMacro (LoadIconImage, int)
| vtkBooleanMacro (LoadOverlays, int)
| vtkBooleanMacro (LossyFlag, int)
| vtkGetMacro (ApplyLookupTable, int)
| vtkGetMacro (ApplyYBRToRGB, int) vtkSetMacro(ApplyYBRToRGB
| vtkGetMacro (ImageFormat, int)
| vtkGetMacro (LoadIconImage, int)
| vtkGetMacro (LoadOverlays, int)
| vtkGetMacro (LossyFlag, int)
| vtkGetMacro (NumberOfIconImages, int)
| vtkGetMacro (NumberOfOverlays, int)
| vtkGetMacro (PlanarConfiguration, int)
| vtkGetMacro (Scale, double)
| vtkGetMacro (Shift, double)
| vtkGetObjectMacro (Curve, vtkPolyData)
| vtkGetObjectMacro (DirectionCosines, vtkMatrix4x4)
| vtkGetObjectMacro (FileNames, vtkStringArray)
| vtkGetObjectMacro (MedicalImageProperties, vtkMedicalImageProperties)
| vtkGetVector3Macro (ImagePositionPatient, double)
| vtkGetVector6Macro (ImageOrientationPatient, double)
| vtkSetMacro (ApplyLookupTable, int)
| vtkSetMacro (LoadIconImage, int)
| vtkSetMacro (LoadOverlays, int)
| vtkSetMacro (LossyFlag, int)
| vtkTypeMacro (vtkGDCMImageReader, vtkMedicalImageReader2)

## Static Public Member Functions
static vtkGDCMThreadedImageReader * | New ()
Static Public Member Functions inherited from vtkGDCMImageReader
static vtkGDCMImageReader * | New ()

## Protected Member Functions
| vtkGDCMThreadedImageReader ()
| ~vtkGDCMThreadedImageReader ()
void | ExecuteData (vtkDataObject *out)
void | ExecuteInformation ()
void | ReadFiles (unsigned int nfiles, const char *filenames[])
void | RequestDataCompat ()
Protected Member Functions inherited from vtkGDCMImageReader
| vtkGDCMImageReader ()
| ~vtkGDCMImageReader ()
void | ExecuteData (vtkDataObject *out)
void | ExecuteInformation ()
void | FillMedicalImageInformation (const gdcm::ImageReader &reader)
int | LoadSingleFile (const char *filename, char *pointer, unsigned long &outlen)
int | RequestDataCompat ()
int | RequestInformationCompat ()
void | SetFilePattern (const char *)
void | SetFilePrefix (const char *)
| vtkGetStringMacro (FilePattern)
| vtkGetStringMacro (FilePrefix)
| vtkSetVector6Macro (ImageOrientationPatient, double)

## Additional Inherited Members
Protected Attributes inherited from vtkGDCMImageReader
int | ApplyInverseVideo
int | ApplyLookupTable
int | ApplyPlanarConfiguration
int | ApplyShiftScale
int | ApplyYBRToRGB
vtkPolyData * | Curve
vtkMatrix4x4 * | DirectionCosines
vtkStringArray * | FileNames
int | ForceRescale
int | IconDataScalarType
int | IconImageDataExtent [6]
int | IconNumberOfScalarComponents
int | ImageFormat
double | ImageOrientationPatient [6]
double | ImagePositionPatient [3]
int | LoadIconImage
int | LoadOverlays
int | LossyFlag
vtkMedicalImageProperties * | MedicalImageProperties
int | NumberOfIconImages
int | NumberOfOverlays
int | PlanarConfiguration
double | Scale
double | Shift

## Constructor & Destructor Documentation

## ◆ vtkGDCMThreadedImageReader()

vtkGDCMThreadedImageReader::vtkGDCMThreadedImageReader | ( |  | ) |
| protected

Referenced by New(), RequestDataCompat(), and vtkTypeMacro().

## ◆ ~vtkGDCMThreadedImageReader()

vtkGDCMThreadedImageReader::~vtkGDCMThreadedImageReader | ( |  | ) |
| protected

## Member Function Documentation

## ◆ ExecuteData()

void vtkGDCMThreadedImageReader::ExecuteData | ( | vtkDataObject * | out | ) |
| protected

## ◆ ExecuteInformation()

void vtkGDCMThreadedImageReader::ExecuteInformation | ( |  | ) |
| protected

## ◆ New()

vtkGDCMThreadedImageReader * vtkGDCMThreadedImageReader::New | ( |  | ) |
| static

References vtkGDCMThreadedImageReader().

## ◆ PrintSelf()

virtual void vtkGDCMThreadedImageReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )
| virtual

Reimplemented from vtkGDCMImageReader.

## ◆ ReadFiles()

void vtkGDCMThreadedImageReader::ReadFiles | ( | unsigned int | nfiles,
|  | const char * | filenames[] )
| protected

## ◆ RequestDataCompat()

void vtkGDCMThreadedImageReader::RequestDataCompat | ( |  | ) |
| protected

References vtkGDCMThreadedImageReader().

## ◆ vtkBooleanMacro()

vtkGDCMThreadedImageReader::vtkBooleanMacro | ( | UseShiftScale | ,
|  | int | )

## ◆ vtkGetMacro()

vtkGDCMThreadedImageReader::vtkGetMacro | ( | UseShiftScale | ,
|  | int | )

## ◆ vtkSetMacro() [1/3]

vtkGDCMThreadedImageReader::vtkSetMacro | ( | Scale | ,
|  | double | )

References vtkGDCMImageReader::Scale.

## ◆ vtkSetMacro() [2/3]

vtkGDCMThreadedImageReader::vtkSetMacro | ( | Shift | ,
|  | double | )

References vtkGDCMImageReader::Shift.

## ◆ vtkSetMacro() [3/3]

vtkGDCMThreadedImageReader::vtkSetMacro | ( | UseShiftScale | ,
|  | int | )

## ◆ vtkTypeMacro()

vtkGDCMThreadedImageReader::vtkTypeMacro | ( | vtkGDCMThreadedImageReader | ,
|  | vtkGDCMImageReader | )

References vtkGDCMImageReader::vtkGDCMImageReader(), and vtkGDCMThreadedImageReader().

The documentation for this class was generated from the following file:

- vtkGDCMThreadedImageReader.h